| USRP Hardware Driver and Device Manual Version: 4.10.0.0 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::rfnoc::chdr::mgmt_op_t::sel_dest_payload Struct Reference

An interpretation class for the payload for MGMT_OP_SEL_DEST. More...

`#include <uhd/rfnoc/chdr_types.hpp>`

## Detailed Description

An interpretation class for the payload for MGMT_OP_SEL_DEST.

## Public Member Functions
| sel_dest_payload (uint16_t dest_)
| sel_dest_payload (payload_t payload_)
| operator payload_t () const

## Public Attributes
const uint16_t | dest

## Constructor & Destructor Documentation

## ◆ sel_dest_payload() [1/2]

uhd::rfnoc::chdr::mgmt_op_t::sel_dest_payload::sel_dest_payload | ( | uint16_t | dest_ | ) |
| inline

## ◆ sel_dest_payload() [2/2]

uhd::rfnoc::chdr::mgmt_op_t::sel_dest_payload::sel_dest_payload | ( | payload_t | payload_ | ) |
| inline

## Member Function Documentation

## ◆ operator payload_t()

uhd::rfnoc::chdr::mgmt_op_t::sel_dest_payload::operator payload_t | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ dest

const uint16_t uhd::rfnoc::chdr::mgmt_op_t::sel_dest_payload::dest

The documentation for this struct was generated from the following file:

- chdr_types.hpp